Create customer portal session
POST /v1/billing/portal
Create a Stripe customer portal session for managing subscription, payment methods, and billing history.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
URL to return to after portal session (must be from allowed origin)
Example
https://app.hookbridge.io/billingExample
{ "return_url": "https://app.hookbridge.io/billing"}Responses
Section titled “ Responses ”Portal session created successfully
object
object
URL to redirect user to Stripe customer portal
Example
https://billing.stripe.com/p/session/abc123object
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "data": { "portal_url": "https://billing.stripe.com/p/session/abc123" }, "meta": { "request_id": "req_xyz123" }}Invalid return URL
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "INVALID_RETURN_URL", "message": "Return URL not from allowed origin" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}No subscription found
object
object
Machine-readable error code
Example
INVALID_REQUESTHuman-readable error message
Example
endpoint must be a valid HTTPS URLobject
Unique identifier for this request (useful for support)
Example
req_xyz123Example
{ "error": { "code": "NO_SUBSCRIPTION", "message": "No subscription found for tenant" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.